%define debug_package	%{nil}

Name: x11-driver-video-xgixp
Version: 1.8.1
Release: %mkrel 6.1
Summary: X.org driver for XGIxp Cards
Group: System/X11
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-xgixp-%{version}.tar.xz
Patch0: 0001-Remove-mibstore.h.patch
Patch2: 0002-Remove-symbol-lists-as-they-are-not-used-any-more.patch
Patch3: 0003-shadow-shadowInit-shadowAdd-Remove.patch
Patch4: 0004-Stop-using-deprecated-xf86PciInfo.h.patch
Patch5: 0005-Update-for-new-damage-API.patch
Patch6: 0006-Adapt-Block-WakeupHandler-signature-for-ABI-23.patch
Patch7: 0007-Revert-Adapt-Block-WakeupHandler-signature-for-ABI-2.patch
Patch8: 0008-Adapt-Block-WakeupHandler-signature-for-ABI-23.patch
License: MIT
BuildRequires: x11-util-macros		>= 1.1.5
BuildRequires: libdrm-devel		>= 2.3.0
BuildRequires: libpixman-1-devel	>= 0.9.6
BuildRequires: x11-proto-devel		>= 7.3
BuildRequires: libmesagl-devel		>= 7.0.2
BuildRequires: x11-server-devel		>= 1.4
Conflicts: xorg-x11-server < 7.0

%description
x11-driver-video-xgixp is the X.org driver for Generic XGIxp Cards.

%prep
%setup -q -n xf86-video-xgixp-%{version}
%apply_patches

%build
%configure2_5x
make -j1

%install
%makeinstall_std

%files
%{_libdir}/xorg/modules/drivers/xgixp_drv.la
%{_libdir}/xorg/modules/drivers/xgixp_drv.so
%{_mandir}/man4/xgixp.*

%changelog
* Thu Mar 21 2019 tex - 1.8.1-6.1pclos2019
- rebuild against updates

* Sun Mar 26 2017 bb2 <bb2> - 1.8.1-5.1pclos2017
- rebuilt

* Wed Jul 20 2016 bb <bb> 1.8.1-5pclos2016
- rebuild new xorg

